purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Pretty

Description

A collection of pretty printers for core data types:

- [`Language.PureScript.Pretty.Kinds`] Pretty printer for kinds
- [`Language.PureScript.Pretty.Values`] Pretty printer for values
- [`Language.PureScript.Pretty.Types`] Pretty printer for types

Synopsis

- module Language.PureScript.Pretty.Types
- module Language.PureScript.Pretty.Values
- prettyPrintString :: PSString -> Text

# Documentation

module Language.PureScript.Pretty.Types

module Language.PureScript.Pretty.Values

prettyPrintString :: PSString -> Text #

Pretty print a PSString, using PureScript escape sequences.